<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Incidencia extends Model
{
    use HasFactory;

    protected $fillable = ['oti_id', 'user_id', 'incidencia_tipo_id', 'descripcion', 'status'];

    public function tipo() 
    {
        return $this->belongsTo(IncidenciasTipo::class, 'incidencia_tipo_id');
    }
}
